classification
Title: cgitb: remove parentheses when the error is in module
Type: enhancement Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: sblondon, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2018-04-18 18:39 by sblondon, last changed 2018-05-09 09:39 by serhiy.storchaka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 6522 closed sblondon, 2018-04-18 18:45
PR 6677 merged sblondon, 2018-05-01 20:46
Messages (2)
msg315459 - (view) Author: Stéphane Blondon (sblondon) * Date: 2018-04-18 18:39
The cgitb module displays a traceback in text or html.

When a module is called, there are no parameters (displayed as '()'). I
think they are unnecessary and the parentheses should be removed.

### example for the text version ###
$ python3 demo.py
[...]
 /home/stephane/src/cgitest/demo.py in <module>()
    7 def func1(a, b):                         ^-- to be removed?
[...]
### end of example ###

It occurs in both text and html versions.
msg316321 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2018-05-09 09:39
New changeset 8cf4b34b3665b8bb39ea7111e6b5c3410899d3e4 by Serhiy Storchaka (sblondon) in branch 'master':
bpo-33311: Do not display parameters displayed in parentheses for module call. (GH-6677)
https://github.com/python/cpython/commit/8cf4b34b3665b8bb39ea7111e6b5c3410899d3e4
History
Date User Action Args
2018-05-09 09:39:56serhiy.storchakasetstatus: open -> closed
stage: patch review -> resolved
resolution: fixed
versions: + Python 3.8
2018-05-09 09:39:35serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg316321
2018-05-01 20:46:36sblondonsetpull_requests: + pull_request6371
2018-04-18 18:45:49sblondonsetkeywords: + patch
stage: patch review
pull_requests: + pull_request6215
2018-04-18 18:39:52sblondoncreate